# For MGQ Paradox RPG v2.23
# Found at http://maniaindex.blog.fc2.com/

## エネミー命中率メモ
## xparam_ex 　　　はデフォルトでエネミーもアクターも0.8を返すが
## features_sum はデフォルトがエネミーが1.0 アクターが0.0を返す
## この二つを足したものが最終命中率となるためエネミーの命中率がデフォルトで1.8になる
## エネミーを全部チェックしたわけではないので詳細は不明・・・今回の修正では
## features_sumが設定されていないエネミーの命中率が極端にさがる
## スキル命中率はまた別（見てない）

module HIT_FIX
	# Adjust if needed
	ENEMY_ACCURACY_BASE = 100
end

#############################
## 命中計算修正
#############################
class Game_BattlerBase
	def xparam_ex(xparam_id)
		case xparam_id
		when 0
			values = features_with_id(FEATURE_XPARAM_EX, xparam_id).map(&:value)
			if self.kind_of?(Game_Enemy)
				return HIT_FIX::ENEMY_ACCURACY_BASE.to_f/100 - 1.0 ## エネミーならゼロを返す
			end
			return 0.8 if values.empty?
			return values.inject(&:+) / ( self.equips[0..1].select{|obj|obj.class == RPG::Weapon || obj.class == RPG::EnchantWeapon } ).size
		else
			features_sum(FEATURE_XPARAM_EX, xparam_id)
		end
	end
end
